#!ash

basedir="/home/mplayer/extra"

CC="gcc"
CFLAGS="-Zmt -DOS2 -mcpu=pentium4 -march=pentium -O9 -fomit-frame-pointer -funroll-loops"
CXX="g++"
CXXFLAGS="$CFLAGS"
CPPFLAGS="-I$basedir/include"
LDFLAGS="-L$basedir/lib"

export CC
export CFLAGS
export CXX
export CXXFLAGS
export CPPFLAGS
export LDFLAGS

export AWK="awk"
export SED="sed"

#export NASM="nasm.exe"
#export NASM_FORMAT="-DOS2 -f aout"
#export ac_cv_path_NASM="$basedir/bin/$NASM"

export ac_cv_func_socket="no"
export ac_cv_lib_socket_socket="no"

./configure \
  --enable-static \
  --disable-shared \
  --without-socket \
  --enable-nasm \
  --enable-expopt=full \
  --prefix=$basedir
