#include <stdlib.h>
#include <arpa/inet.h>
#include <netinet/in.h>

#if defined(__INNOTEK_LIBC__)
# if !defined(TCPV40HDRS)
#  error need to specify TCPV40HDRS.
# endif
#endif

/* inet_aton for old tcpip (tcpipv4) */
int inet_aton(const char *name, struct in_addr *in)
{
    u_long addr;
    if (!name) return 0;
    addr = inet_addr(name);
    if (addr == (u_long)(-1)) return 0;
    if (in) in->s_addr = addr;
    return !0;
}

